package org.gcube.data_catalogue.grsf_publish_ws.json.input;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * A resource object bean
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
@JsonIgnoreProperties(ignoreUnknown = true) // ignore in serialization/deserialization
public class Resource {

	@JsonProperty("url")
	private String url;

	@JsonProperty("description")
	private String description;

	@JsonProperty("name")
	private String name;

	public Resource() {
		super();
	}

	public Resource(String url, String description, String name) {
		super();
		this.url = url;
		this.description = description;
		this.name = name;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return "Resource [url=" + url + ", description=" + description
				+ ", name=" + name + "]";
	}	

}
